/*
 * Copyright (C) 1997 Luke Gorrie
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
 * MA 02139, USA.
 */

package javagroup.process;

import javagroup.util.Resource;

/**
 * Token resource.  A process is considered dead when its ProcessLifeToken
 * is released.
 *
 * @author Luke Gorrie
 */
public class ProcessLifeToken extends Resource {

    protected JProcess _process;

    public ProcessLifeToken(JProcess process) {
        _process = process;
    }

    public JProcess getProcess() {
        return _process;
    }

    public void dispose() {
        super.dispose();
        _process = null;
    }

}

